org.eclipse.ui.databinding

## Class WorkbenchProperties

- java.lang.Object
- - org.eclipse.ui.databinding.WorkbenchProperties

    public class WorkbenchProperties
    extends Object

Factory methods for creating properties for the Workbench.

Examples:

     WorkbenchProperties.singleSelection().observe(
                    getSite().getService(ISelectionService.class))

Since:
  3.5

### Constructor Summary

Constructors
Constructor and Description
`WorkbenchProperties()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IValueProperty` `adaptedValue(Class adapter)` Returns a value property which observes the source object as the adapted type, using the platform adapter manager.
`static IListProperty` `multipleSelection()` Returns a property for observing the elements of a structured selection as exposed by `ISelectionService`.
`static IListProperty` `multipleSelection(String partId, boolean postSelection)` Returns a property for observing the elements of a structured selection as exposed by `ISelectionService`.
`static IValueProperty` `singleSelection()` Returns a property for observing the first element of a structured selection as exposed by `ISelectionService`.
`static IValueProperty` `singleSelection(String partId, boolean postSelection)` Returns a property for observing the first element of a structured selection as exposed by `ISelectionService`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WorkbenchProperties

    public WorkbenchProperties()

### Method Detail

#### adaptedValue

    public static IValueProperty adaptedValue(Class adapter)

Returns a value property which observes the source object as the adapted type, using the platform adapter manager. If the source is of the target type, or can be adapted to the target type, this is used as the value of property, otherwise `null`.

Parameters:
  `adapter` - the adapter class
Returns:
  a value property which observes the source object as the adapted type.

#### singleSelection

    public static IValueProperty singleSelection()

Returns a property for observing the first element of a structured selection as exposed by `ISelectionService`.

Returns:
  an observable value

#### singleSelection

    public static IValueProperty singleSelection(String partId,
                                                 boolean postSelection)

Returns a property for observing the first element of a structured selection as exposed by `ISelectionService`.

Parameters:
  `partId` - the part id, or `null` if the selection can be from any part
  `postSelection` - `true` if the selection should be delayed for keyboard-triggered selections
Returns:
  an observable value

#### multipleSelection

    public static IListProperty multipleSelection()

Returns a property for observing the elements of a structured selection as exposed by `ISelectionService`.

Returns:
  an observable value

#### multipleSelection

    public static IListProperty multipleSelection(String partId,
                                                  boolean postSelection)

Returns a property for observing the elements of a structured selection as exposed by `ISelectionService`.

Parameters:
  `partId` - the part id, or `null` if the selection can be from any part
  `postSelection` - `true` if the selection should be delayed for keyboard-triggered selections
Returns:
  an observable value